net.corda.node

## Class CmdLineOptions

- net.corda.node.CmdLineOptions

-     public class CmdLineOptions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmdLineOptions(java.nio.file.Path baseDirectory, java.nio.file.Path configFile, boolean help, org.slf4j.event.Level loggingLevel, boolean logToConsole, boolean isRegistration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.file.Path` | `component1()`
    `java.nio.file.Path` | `component2()`
    `boolean` | `component3()`
    `org.slf4j.event.Level` | `component4()`
    `boolean` | `component5()`
    `boolean` | `component6()`
    `CmdLineOptions` | `copy(java.nio.file.Path baseDirectory, java.nio.file.Path configFile, boolean help, org.slf4j.event.Level loggingLevel, boolean logToConsole, boolean isRegistration)`
    `boolean` | `equals(java.lang.Object p)`
    `java.nio.file.Path` | `getBaseDirectory()`
    `java.nio.file.Path` | `getConfigFile()`
    `boolean` | `getHelp()`
    `boolean` | `getLogToConsole()`
    `org.slf4j.event.Level` | `getLoggingLevel()`
    `int` | `hashCode()`
    `boolean` | `isRegistration()`
    `com.typesafe.config.Config` | `loadConfig(boolean allowMissingConfig, java.util.Map<java.lang.String,? extends java.lang.Object> configOverrides)`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### CmdLineOptions

          public CmdLineOptions(java.nio.file.Path baseDirectory,
                                java.nio.file.Path configFile,
                                boolean help,
                                org.slf4j.event.Level loggingLevel,
                                boolean logToConsole,
                                boolean isRegistration)

  - ### Method Detail

    - #### loadConfig

          public com.typesafe.config.Config loadConfig(boolean allowMissingConfig,
                                                       java.util.Map<java.lang.String,? extends java.lang.Object> configOverrides)

    - #### getBaseDirectory

          public java.nio.file.Path getBaseDirectory()

    - #### getConfigFile

          public java.nio.file.Path getConfigFile()

    - #### getHelp

          public boolean getHelp()

    - #### getLoggingLevel

          public org.slf4j.event.Level getLoggingLevel()

    - #### getLogToConsole

          public boolean getLogToConsole()

    - #### isRegistration

          public boolean isRegistration()

    - #### component1

          public java.nio.file.Path component1()

    - #### component2

          public java.nio.file.Path component2()

    - #### component3

          public boolean component3()

    - #### component4

          public org.slf4j.event.Level component4()

    - #### component5

          public boolean component5()

    - #### component6

          public boolean component6()

    - #### copy

          public CmdLineOptions copy(java.nio.file.Path baseDirectory,
                                     java.nio.file.Path configFile,
                                     boolean help,
                                     org.slf4j.event.Level loggingLevel,
                                     boolean logToConsole,
                                     boolean isRegistration)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)